org.eclipse.jetty.webapp

## Interface WebAppClassLoader.Context

All Known Implementing Classes:
  WebAppContext

Enclosing class:
  WebAppClassLoader

    public static interface WebAppClassLoader.Context

The Context in which the classloader operates.

### Method Summary

Methods
`String` `getExtraClasspath()`
`PermissionCollection` `getPermissions()`
`boolean` `isParentLoaderPriority()`
`boolean` `isServerClass(String clazz)` Is the class a Server Class.
`boolean` `isSystemClass(String clazz)` Is the class a System Class.
`Resource` `newResource(String urlOrPath)` Convert a URL or path to a Resource.

### Method Detail

#### newResource

    Resource newResource(String urlOrPath)
                         throws IOException

Convert a URL or path to a Resource. The default implementation is a wrapper for `Resource.newResource(String)`.

Parameters:
  `urlOrPath` - The URL or path to convert
Returns:
  The Resource for the URL/path
Throws:
  `IOException` - The Resource could not be created.

#### getPermissions

    PermissionCollection getPermissions()

Returns:
  Returns the permissions.

#### isSystemClass

    boolean isSystemClass(String clazz)

Is the class a System Class. A System class is a class that is visible to a webapplication, but that cannot be overridden by the contents of WEB-INF/lib or WEB-INF/classes

Parameters:
  `clazz` - The fully qualified name of the class.
Returns:
  True if the class is a system class.

#### isServerClass

    boolean isServerClass(String clazz)

Is the class a Server Class. A Server class is a class that is part of the implementation of the server and is NIT visible to a webapplication. The web application may provide it's own implementation of the class, to be loaded from WEB-INF/lib or WEB-INF/classes

Parameters:
  `clazz` - The fully qualified name of the class.
Returns:
  True if the class is a server class.

#### isParentLoaderPriority

    boolean isParentLoaderPriority()

Returns:
  True if the classloader should delegate first to the parent classloader (standard java behaviour) or false if the classloader should first try to load from WEB-INF/lib or WEB-INF/classes (servlet spec recommendation).

#### getExtraClasspath

    String getExtraClasspath()